<div>
    <h2 id="page-heading">
        <span>Products</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product" [routerLink]="['/product/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Product
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="products?.length === 0">
        <span>No products found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="products && products.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Shop Id</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Description</span></th>
                    <th scope="col" ><span>Policy</span></th>
                    <th scope="col" ><span>Images</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col" ><span>Service</span></th>
                    <th scope="col" ><span>Sub Product Category</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let product of products ;trackBy: trackId">
                    <td><a [routerLink]="['/product', product.id, 'view']">{{ product.id }}</a></td>
                    <td>{{ product.shopId }}</td>
                    <td>{{ product.name }}</td>
                    <td>{{ product.description }}</td>
                    <td>{{ product.policy }}</td>
                    <td>{{ product.images }}</td>
                    <td>{{ product.active }}</td>
                    <td>
                        <div *ngIf="product.service">
                            <a [routerLink]="['/service', product.service?.id, 'view']" >{{ product.service?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="product.subProductCategory">
                            <a [routerLink]="['/sub-product-category', product.subProductCategory?.id, 'view']" >{{ product.subProductCategory?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/product', product.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/product', product.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(product)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
